[idle_timeout]
timeout: 600
gcode:
    {% if printer.pause_resume.is_paused %}
        M118 Idle timeout while paused, turning off hotend
        SET_HEATER_TEMPERATURE HEATER=extruder TARGET=0
    {% else %}
        QUEUE_DISABLE ; Disable Queue Mode, If Enabled
        ON_IDLE_TIMEOUT
        M118 Idle timeout, turning off heaters and disabling steppers
        TURN_OFF_HEATERS
        M84
    {% endif %}

[gcode_macro ON_IDLE_TIMEOUT]
description: The print was cancelled, so...
gcode:
    ; Nothing For Now